using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class RunCommandResponsePacket : IPacket
{
	public string Output { get; set; }

	public RunCommandResponsePacket()
	{
	}

	public RunCommandResponsePacket(string output)
	{
		Output = output;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Output ?? "");
	}

	public void Read(BinaryReader r)
	{
		Output = r.ReadString();
	}
}
